bcscale
bcsub
BC Math Functions
PHP Manual

# bcsqrt

Get the square root of an arbitrary precision number

### Description

string bcsqrt ( string `$operand` [, int `$scale` ] )

Return the square root of the `operand`.

### Parameters

`operand`

  The operand, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. You can also set the global default scale for all functions by using bcscale.

### Return Values

Returns the square root as a string, or `NULL` if `operand` is negative.

### Examples

Example #1 bcsqrt example

`<?php
echo bcsqrt('2', 3); // 1.414
?>`

### See Also

- bcpow